<?php
  /**
   * processComment
   *
   * @package Digital Downloads Pro
   * @author wojoscripts.com
   * @copyright 2010
   * @version $Id: processComment.php, v2.00 2011-04-20 10:12:05 gewa Exp $
   */
  define("_VALID_PHP", true);
  require_once("../../init.php");
  
  $com = $content->getCommentsConfig();
?>
<?php
  $post = (!empty($_POST)) ? true : false;
  
  if ($post) {
	  
      if ($_POST['username'] == "" && $com['username_req'])
          $core->msgs['username'] = '..لطفا نام معتبر خود را وارد نمائید';
		  
      if ($com['show_captcha']) {
		  if ($_POST['captcha'] == "")
			  $core->msgs['captcha'] = '..لطفا کد امنیتی راوارد نمائید';
		  
		  if ($_POST['captcha'] != "9")
			  $core->msgs['captcha'] = '..کد امنیتی وارد شده معتبر نمی باشد';
	  }
      
      if ($_POST['email'] == "" && $com['email_req'])
          $core->msgs['email'] = '..ایمیل خود را وارد نمائید';
      
      if (!preg_match("/^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,4})$/", $_POST['email']))
          $core->msgs['email'] = '..ایمیل وارد شده معتبر نمی باشد';
		  
      if (isset($_POST['www']) && !empty($_POST['www'])) {
		if (!preg_match("#^http://*#", $_POST["www"]))
			$core->msgs['www'] = '..آدرس وب سایت وارد شده معتبر نمی باشد <br/> ..شروع شود http:// آدرس وب سایت می بایست با ';
	  }
	  
      if ($_POST['body'] == "")
          $core->msgs['body'] = '..لطفا نظر خود را وارد نمائید';
      
      if (empty($core->msgs)) {
		  
		$text = cleanOut($_POST['body']);
		$string = $content->keepTags($text,'<strong><em><i><b><br><p><pre><code>','');
		$filtered = $content->censored($string,$com['blacklist_words']);
		
		$data = array(
			  'pid' => intval($_POST['pid']),
			  'username' => sanitize($_POST['username']),
			  'email' => sanitize($_POST['email']),
			  'body' => $filtered,
			  'www' => sanitize($_POST['www']),
			  'created' => "NOW()",
			  'ip' => sanitize($_SERVER['REMOTE_ADDR']),
			  'active' => ($com['auto_approve']) ? 1:0
		);
		
		$db->insert("comments", $data);
		  
		  if($com['notify_new']) { 
			  $sender_email = $data['email'];
			  $username = $data['username'];
			  $message = $filtered;
			  $www = $data['www'];
			  $ip = sanitize($_SERVER['REMOTE_ADDR']);
			  $pid = $data['pid'];
			  
			  require_once(BASEPATH . "lib/class_mailer.php");
			  $mailer = $mail->sendMail();	
						  
			  $row = $core->getRowById("email_templates", 11);
			  
			  $body = str_replace(array('[MESSAGE]', '[SENDER]', '[NAME]', '[WWW]', '[PAGEURL]', '[IP]'), 
			  array($message, $sender_email, $username, $www, createProductLink($pid), $ip), $row['body']);
	
			  $message = Swift_Message::newInstance()
						->setSubject($row['subject'])
						->setTo(array($core->site_email => $core->site_name))
						->setFrom(array($sender_email => $username))
						->setBody(cleanOut($body), 'text/html');

			  $mailer->send($message);
		  }
		  
              $res =  ($com['auto_approve']) ? 'OK1' : 'OK2';
			  if($db->affected()) {
			     print $res;
			  }
      } else 
          print $core->msgStatus();
  }  
?>